// filename: tests/integration.rs


mod integration {
    use std::process::Command;

    static WITHOUT_ARGS_OUTPUT: &'static str = " USAGE:
        carman [FLAGS] [OPTIONS] <URL>
    For more information try --help
    ";

    #[test]
    fn calling_carman_without_args() {
        let output = Command::new("./target/debug/carman")
            .output()
            .expect("failed to execute process");
    
        assert_eq!(String::from_utf8_lossy(&output.stderr), WITHOUT_ARGS_OUTPUT);
    }
    
}
